/*
 Problema: dado um conjunto com n  numeros reais, obter a
 soma dos n elementos do conjunto.

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o valor do numero "n";
  3 - repeticao para:
       3.1 - ler(digitar) um numero do conjunto, de cada vez;
       3.2 - somar o valor lido (digitado);
  4 - imprimir o valor total obtido para soma;

 descricao das variaveis
  n - tamanho do conjunto (numero de elementos do conjunto)
  i - contador de repeticao (indice - controlador da repeticao)
  x - guarda um valor digitado (representa 1 numero)
    - x recebe o numero lido, em cada passo, e o valor anterior e destruido
  s - guarda a soma dos numeros digitados(registra a soma-parcial, passo a passo)
*/

#include <stdio.h>   /* arquivo de inclusao para entrada e saida, para usar: scanf e printf */

int main ()
{
  int n; /* tamanho do conjunto = numero de valores a serem somados = numero de repeticao */
  int i; /* contador de repeticao */
  float x; /* valor do numero somado */
  float s; /* soma dos numeros */

  printf ("\nDigite o valor de n: ");
  scanf ("%d", &n);
  s = 0; //zerar a soma - define o valor inicial da soma
  printf ("\nDigite os elementos do conjunto para Soma-los\n");
  i = 1; //ler o primeiro elemento do conjumto e registrar na soma
  while(i <= n)
  {
    printf ("digite um valor para x: ");
    scanf ("%f", &x); //obtem o i-esimo numero(voce digita e o programa l)
    s = s + x;  //somar o numero lido(digitado)
    i = i + 1; //contar, preparando para ler o proximo numero e fazer a soma
  }
  printf ("soma: %f", s); //imprime a soma total dos numeros digitados(lidos)

  printf("\n");
  return 0;
}
